summaryrefslogtreecommitdiffstats
path: root/system/atop
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-13 00:39:40 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:39:40 +0200
commit4a0e22d91304d00686d6c6ea97422162f44d3e40 (patch)
treecbe93f908c0d5d84473ba23206b16f273b6332b9 /system/atop
parenta28bf74e023d23a52f031c6301c76772a03ab0df (diff)
downloadslackbuilds-4a0e22d91304d00686d6c6ea97422162f44d3e40.tar.gz
slackbuilds-4a0e22d91304d00686d6c6ea97422162f44d3e40.tar.xz
system/atop: Updated for version 1.23
Diffstat (limited to 'system/atop')
-rw-r--r--system/atop/README20
-rw-r--r--system/atop/README.SLACKWARE18
-rw-r--r--system/atop/atop.SlackBuild21
-rw-r--r--system/atop/atop.info4
4 files changed, 34 insertions, 29 deletions
diff --git a/system/atop/README b/system/atop/README
index 43faf8534a..48d2ac2002 100644
--- a/system/atop/README
+++ b/system/atop/README
@@ -1,22 +1,4 @@
ATOP is an advanced interactive monitor for Linux-systems
to view the load on system-level and process-level.
-Some features depend on the 'acct' (BSD accounting) package from
-Slackware being installed. To enable it, execute the following:
-
- touch /var/log/pacct
- chgrp utmp /var/log/pacct
- chmod 640 /var/log/pacct
- accton
-
-You may want to have atop start at boot; to do so, add to
-/etc/rc.d/rc.local the following lines:
-
- # Start the accounting top service
- if [ -x /etc/rc.d/rc.atop ]; then
- /etc/rc.d/rc.atop
- fi
-
-Note: logrotate(8) doesn't like .new files to reside in
- /etc/logrotate.d - thus make sure to merge@remove
-
+Refer to README.SLACKWARE for setup and configuration information.
diff --git a/system/atop/README.SLACKWARE b/system/atop/README.SLACKWARE
new file mode 100644
index 0000000000..c231ec955e
--- /dev/null
+++ b/system/atop/README.SLACKWARE
@@ -0,0 +1,18 @@
+README.SLACKWARE for atop
+
+Some features depend on the 'acct' (BSD accounting) package from
+Slackware being installed. To enable it, execute the following:
+
+ touch /var/log/pacct
+ chgrp utmp /var/log/pacct
+ chmod 640 /var/log/pacct
+ accton
+
+You may want to have atop start at boot; to do so, add to
+/etc/rc.d/rc.local the following lines:
+
+ # Start the accounting top service
+ if [ -x /etc/rc.d/rc.atop ]; then
+ /etc/rc.d/rc.atop
+ fi
+
diff --git a/system/atop/atop.SlackBuild b/system/atop/atop.SlackBuild
index ccea68881a..21b3bd6356 100644
--- a/system/atop/atop.SlackBuild
+++ b/system/atop/atop.SlackBuild
@@ -22,10 +22,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -62,14 +65,14 @@ mkdir -p $PKG/var/log/atop
touch $PKG/var/log/atop/dummy_{before,after}
# We'll create daily.log in doinst.sh so it doesn't get wiped on uninstall
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
# Create link to enable the 'atopsar' functionality
-( cd $PKG/usr/bin
- ln -vsf atop atopsar
+( cd $PKG/usr/bin ; ln -vsf atop atopsar )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/man/man1
@@ -78,12 +81,12 @@ gzip -9c man/atopsar.1 > $PKG/usr/man/man1/atopsar.1.gz
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/atop/atop.info b/system/atop/atop.info
index 9dd8938c9d..2b17705c65 100644
--- a/system/atop/atop.info
+++ b/system/atop/atop.info
@@ -3,6 +3,8 @@ VERSION="1.23"
HOMEPAGE="http://www.atcomputing.nl/Tools/atop"
DOWNLOAD="http://www.atcomputing.nl/Tools/atop/packages/atop-1.23.tar.gz"
MD5SUM="ba1d733b9f0fcf8469a8e6c8e4d2d3b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Menno E. Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"